/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-07-11 16:56:35
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

export function getErpShopList(params) {
  return newRequest({
    url: '/operateShop/erpShop/list',
    method: 'get',
    params
  })
}

export function getShop(params) {
  return newRequest({
    url: '/operateShop/getShop',
    method: 'get',
    params
  })
}

export function getPlatform(params) {
  return newRequest({
    url: '/operateShop/platform/get',
    method: 'get',
    params
  })
}

export function getPlatformList(params) {
  return newRequest({
    url: '/operateShop/platform/list',
    method: 'get',
    params
  })
}

export function operateShopAdd(data) {
  return newRequest({
    url: '/operateShop/add',
    method: 'post',
    data
  })
}

export function operatePlatformAdd(data) {
  return newRequest({
    url: '/operateShop/platform/add',
    method: 'post',
    data
  })
}

export function operatePlatformUpdate(data) {
  return newRequest({
    url: '/operateShop/platform/update',
    method: 'post',
    data
  })
}

export function operateQueryLog(data) {
  return newRequest({
    url: '/operateShop/queryLog',
    method: 'post',
    data
  })
}

export function operateQueryPage(data) {
  return newRequest({
    url: '/operateShop/queryPage',
    method: 'post',
    data
  })
}

export function operateUpdateShop(data) {
  return newRequest({
    url: '/operateShop/updateShop',
    method: 'post',
    data
  })
}

